For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
      • GETList all the exports
      • POSTExport leads based on a search query
      • POSTExport opportunities, based on opportunity filters
      • GETGet a single Export
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Automation & Bulk ActionsExports

Export opportunities, based on opportunity filters

||View as Markdown|
POST
https://api.close.com/api/v1/export/opportunity/
POST
/api/v1/export/opportunity/
$curl -X POST https://api.close.com/api/v1/export/opportunity/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "date_format": "iso8601",
> "format": "csv",
> "params": {
> "status_id": "st_id",
> "user_id__in": "id_1,id_2"
> },
> "send_done_email": false
>}'
1{
2 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
3 "date_created": "2014-04-01T16:50:22.256000+00:00",
4 "date_format": "iso8601",
5 "date_updated": "2014-04-02T00:55:34.967000+00:00",
6 "download_url": null,
7 "fields": [
8 "confidence",
9 "contact_id",
10 "created_by",
11 "created_by_name",
12 "date_created",
13 "date_updated",
14 "date_won",
15 "id",
16 "lead_id",
17 "lead_name",
18 "note",
19 "status_id",
20 "status_label",
21 "status_type",
22 "updated_by",
23 "updated_by_name",
24 "user_id",
25 "user_name",
26 "value",
27 "value_period"
28 ],
29 "format": "csv",
30 "id": "expo_ASFasdfasdAY8VZhRiSn5UG2wNGRUrRurHdaN7kQp6",
31 "n_docs": null,
32 "n_docs_processed": 0,
33 "organization_id": "orga_klasjd123vxiEY58eTGQmFNG3LPlEVQ4V7Nk",
34 "params": {
35 "status_id": "st_id",
36 "user_id__in": "id_1,id_2"
37 },
38 "send_done_email": false,
39 "status": "created",
40 "type": "opps",
41 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
42}
Parameters: - `params` (optional) - A dictionary of filters, which would be used for the `/opportunity/` endpoint. - `format` - Format of the exported file. The choices are: `csv`, `json` - `date_format` (optional) - Controls the format of date objects. Note: this only works with the `csv` format. - `original` (default) - A date format that includes microseconds and timezone information. - Date: `[YYYY]-[MM]-[DD]` - Date w/ time: `[YYYY]-[MM]-[DD] [hh]:[mm]:[ss.sssss]±[hh]:[mm]` - `iso8601` (recommended) - An [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) compatible date representation that does not include microseconds. - Date: `[YYYY]-[MM]-[DD]` - Date w/ time: `[YYYY]-[MM]-[DD]T[hh]:[mm]:[ss]±[hh]:[mm]` - `excel` - An Excel compatible date format. Dates are always in UTC, do not include timezone information or microseconds, and use a 12 hour clock with an AM or PM designation. - Date: `[YYYY]-[MM]-[DD]` - Date w/ time: `[YYYY]-[MM]-[DD] [hh]:[mm]:[ss] [AM|PM]` - `fields` (optional) - By default we return all the data fields. If you only need specific fields exported, you can explicitly list them in fields to get smaller exports. - `send_done_email` - Set to `false` if you don't want to get a confirmation email after the bulk action is done.
Was this page helpful?
Previous

Export leads based on a search query

Next

Get a single Export

Built with

Parameters:

  • params (optional) - A dictionary of filters, which would be used for the /opportunity/ endpoint.
  • format - Format of the exported file. The choices are: csv, json
  • date_format (optional) - Controls the format of date objects. Note: this only works with the csv format.
    • original (default) - A date format that includes microseconds and timezone information.
      • Date: [YYYY]-[MM]-[DD]
      • Date w/ time: [YYYY]-[MM]-[DD] [hh]:[mm]:[ss.sssss]±[hh]:[mm]
    • iso8601 (recommended) - An ISO 8601 compatible date representation that does not include microseconds.
      • Date: [YYYY]-[MM]-[DD]
      • Date w/ time: [YYYY]-[MM]-[DD]T[hh]:[mm]:[ss]±[hh]:[mm]
    • excel - An Excel compatible date format. Dates are always in UTC, do not include timezone information or microseconds, and use a 12 hour clock with an AM or PM designation.
      • Date: [YYYY]-[MM]-[DD]
      • Date w/ time: [YYYY]-[MM]-[DD] [hh]:[mm]:[ss] [AM|PM]
  • fields (optional) - By default we return all the data fields. If you only need specific fields exported, you can explicitly list them in fields to get smaller exports.
  • send_done_email - Set to false if you don’t want to get a confirmation email after the bulk action is done.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects any.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error